// swift-tools-version: 5.7
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
  name: "FingerPullRequest",
  platforms: [
    .macOS(.v10_15),
  ],
  products: [
    .library(name: "FingerPullRequest", targets: ["FingerPullRequest"]),
  ],
  dependencies: [
    .package(url: "https://github.com/apple/swift-markdown", branch: "main"),
    .package(url: "https://github.com/apple/swift-log", from: "1.4.0"),
  ],
  targets: [
    .target(
      name: "FingerPullRequest",
      dependencies: [
        .product(name: "Markdown", package: "swift-markdown"),
        .product(name: "Logging", package: "swift-log"),
      ],
      path: "Sources"
    ),
    .testTarget(
      name: "FingerPullRequestTests",
      dependencies: ["FingerPullRequest"],
      path: "Tests"
    ),
  ]
)
