// Copyright © Bending Spoons Group. All rights reserved.

import Foundation

/// Collection of Errors of the same type.
public struct Errors<WrappedErrors: Error>: Error, LocalizedError {
  public let errors: [WrappedErrors]

  /// Default initializer.
  public init(errors: [WrappedErrors]) {
    self.errors = errors
  }

  public var errorDescription: String? {
    return "\(self.errors.map(\.localizedDescription).joined(separator: "\n"))"
  }
}

extension Errors: Equatable where WrappedErrors: Equatable {}
