// Copyright © Bending Spoons Group. All rights reserved.

import Foundation
@testable import FingerPullRequest

extension Environment {
  static func unimplemented(
    fileSystem: FileSystem = .unimplemented(),
    shell: Shell = .unimplemented(),
    git: Git = .unimplemented(),
    network: Network = .unimplemented(),
    github: Github = .unimplemented(),
    slack: Slack = .unimplemented(),
    report: ErrorReporter = .unimplemented()
  ) -> Self {
    .init(
      fileSystem: fileSystem,
      shell: shell,
      git: git,
      network: network,
      github: github,
      slack: slack,
      report: report
    )
  }
}
