// Copyright © Bending Spoons Group. All rights reserved.

import Foundation
@testable import FingerPullRequest

extension FileSystem {
  static func unimplemented(
    read: @escaping (_ file: URL) throws -> Data = { _ in fatalError() },
    write: @escaping (_ file: URL, _ content: Data) throws -> Void = { _, _ in fatalError() },
    remove: @escaping (_ path: URL) throws -> Void = { _ in fatalError() },
    fileExists: @escaping (_ file: URL) -> Bool = { _ in fatalError() },
    isDirectory: @escaping (_ path: String) throws -> Bool = { _ in fatalError() },
    destinationOfSymbolicLink: @escaping (_ path: String) throws -> String = { _ in fatalError() },
    subpathsOfDirectory: @escaping (_ path: String) throws -> [String] = { _ in fatalError() }
  ) -> Self {
    return .init(
      read: read,
      write: write,
      remove: remove,
      fileExists: fileExists,
      isDirectory: isDirectory,
      destinationOfSymbolicLink: destinationOfSymbolicLink,
      subpathsOfDirectory: subpathsOfDirectory
    )
  }
}
