// Copyright © Bending Spoons Group. All rights reserved.

import Foundation
@testable import FingerPullRequest

extension Git {
  static func unimplemented(
    mergedPRs: @escaping (MergedPullRequestSelectionStrategy) throws -> [Int] = { _ in fatalError() },
    remoteURL: @escaping () throws -> URL? = { fatalError() },
    currentBranch: @escaping () throws -> String = { fatalError() },
    latestTag: @escaping () throws -> String = { fatalError() },
    add: @escaping (_ files: [URL]) throws -> Void = { _ in fatalError() },
    commit: @escaping (_ message: String) throws -> Void = { _ in fatalError() },
    push: @escaping (_ branch: String) throws -> Void = { _ in fatalError() },
    pull: @escaping (_ branch: String) throws -> Void = { _ in fatalError() }
  ) -> Self {
    .init(
      mergedPRs: mergedPRs,
      remoteURL: remoteURL,
      currentBranch: currentBranch,
      latestTag: latestTag,
      add: add,
      commit: commit,
      push: push,
      pull: pull
    )
  }
}
