// Copyright © Bending Spoons Group. All rights reserved.

import Foundation
@testable import FingerPullRequest

extension Network {
  /// Unimplemented Network.
  static func unimplemented(
    get: @escaping (
      _ address: URL,
      _ headers: [String: String],
      _ id: String
    ) throws -> Data = { _, _, _ in fatalError() },
    post: @escaping (
      _ address: URL,
      _ headers: [String: String],
      _ body: Data,
      _ id: String
    ) throws -> Data = { _, _, _, _ in fatalError() },
    head: @escaping (
      _ address: URL,
      _ headers: [String: String],
      _ id: String
    ) throws -> HTTPURLResponse = { _, _, _ in fatalError() },
    bulkDownload: @escaping (
      _ urlsWithDestination: [URL: URL],
      _ headers: (_ remote: URL) -> [String: String],
      _ id: String,
      _ logProgress: Bool
    ) throws -> Void = { _, _, _, _ in fatalError() },
    bulkUpload: @escaping (
      _ urlsWithDestination: [URL: URL],
      _ headers: (_ file: URL) -> [String: String],
      _ method: Network.UploadHTTPMethod,
      _ id: String,
      _ logProgress: Bool
    ) throws -> Void = { _, _, _, _, _ in fatalError() }
  ) -> Self {
    .init(get: get, post: post, head: head, bulkUpload: bulkUpload)
  }
}
