// Copyright © Bending Spoons Group. All rights reserved.

import XCTest

final class XCTAssertThrowsErrorTests: XCTestCase {
  func testXCTAssertThrowsError_whenExpectedError_doesNotFail() throws {
    XCTAssertThrowsError(try throwing(TestError.generic), expectedError: TestError.generic)
  }

  func testXCTAssertThrowsError_whenDifferentError_fails() throws {
    var failCalled = false
    XCTAssertThrowsError(
      try throwing(NSError(domain: "", code: 1, userInfo: nil)),
      expectedError: TestError.generic,
      fail: { _, _, _ in failCalled = true }
    )
    XCTAssertTrue(failCalled)
  }
}

private func throwing(_ error: Error) throws {
  throw error
}
