// swift-tools-version: 5.7
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
  name: "SnapCalcFPR",
  platforms: [
    .macOS(.v10_15),
  ],
  products: [
    .executable(name: "SnapCalcFPR", targets: ["SnapCalcFPR"]),
  ],
  dependencies: [
    .package(path: "../FingerPullRequest"),
    .package(url: "https://github.com/apple/swift-argument-parser", from: "1.1.4"),
  ],
  targets: [
    .executableTarget(
      name: "SnapCalcFPR",
      dependencies: [
        .product(name: "ArgumentParser", package: "swift-argument-parser"),
        .product(name: "FingerPullRequest", package: "FingerPullRequest"),
      ],
      path: "Sources"
    ),
    .testTarget(
      name: "SnapCalcFPRTests",
      dependencies: ["SnapCalcFPR"],
      path: "Tests"
    ),
  ]
)
