// Copyright © Bending Spoons Group. All rights reserved.

import ArgumentParser
import FingerPullRequest
import Foundation

extension Main {
  struct UpdateChangelogAfterRelease: ParsableCommand {
    static var configuration = CommandConfiguration(
      commandName: "changelog_after_release",
      abstract: "Update `Changelog.md` file after a release"
    )

    mutating func run() throws {
      let fingerPullRequest = try FingerPullRequest.live(
        errorReporterSlackChannel: "",
        repositoryName: Main.repositoryName
      )

      try fingerPullRequest.updateChangelogAfterRelease(
        file: .init(fileURLWithPath: "../../CHANGELOG.md")
      )
    }
  }
}
